Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

News tab in the cross-project menu does not have "Add news" button. However, Issues and Spent time tabs have Add button, so I

think News tab also should have the button.

I saw some users who are confused by this.

Related issues:

Related to Redmine - Defect #35308: "Add news" button on global news index is... Closed

Associated revisions

Revision 20845 - 2021-03-25 06:16 - Go MAEDA

"Add news" button in cross-project News tab (#33167).

Patch by Mizuki ISHIKAWA.

History

#1 - 2020-04-20 10:42 - Mizuki ISHIKAWA

- File feature-33167.patch added

I have attached a patch to implement this feature.

#2 - 2020-04-28 17:11 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2020-05-19 14:43 - Go MAEDA

Thank you for posting the patch. But I found a behavior that seems inappropriate.

Even if the current user does not have "Manage news" permission,  the "Add news" link is displayed in the cross project news tab. I think it must not

be displayed if the user does not have a permission.

#4 - 2020-06-14 11:14 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#5 - 2021-03-25 06:17 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#6 - 2021-05-25 11:38 - Go MAEDA

- Related to Defect #35308: "Add news" button on global news index is displayed for users without permissions added

Files
feature-33167.patch 7.93 KB 2020-04-20 Mizuki ISHIKAWA
